JsonCpp project page | Classes | Namespace | JsonCpp home page

json_tool.h File Reference
`#include <json/config.h>`
`#include <clocale>`

Go to the source code of this file.

## Namespaces

namespace | Json
| JSON (JavaScript Object Notation).

## Typedefs

using | Json::UIntToStringBuffer = char[uintToStringBufferSize]

## Enumerations

enum | { Json::uintToStringBufferSize = 3 * sizeof(LargestUInt) + 1 }

## Functions

static char | Json::getDecimalPoint ()
static String | Json::codePointToUTF8 (unsigned int cp)
| Converts a unicode code-point to UTF-8.
static void | Json::uintToString (LargestUInt value, char *&current)
| Converts an unsigned integer to string.
template<typename Iter>
Iter | Json::fixNumericLocale (Iter begin, Iter end)
| Change ',' to '.
template<typename Iter>
void | Json::fixNumericLocaleInput (Iter begin, Iter end)
template<typename Iter>
Iter | Json::fixZerosInTheEnd (Iter begin, Iter end, unsigned int precision)
| Return iterator that would be the new end of the range [begin,end), if we were to delete zeros in the end of string, but not the last zero before '.